===== arch/ppc/kernel/misc.S 1.27 vs edited =====
--- 1.27/arch/ppc/kernel/misc.S	Fri Aug 29 04:15:15 2003
+++ edited/arch/ppc/kernel/misc.S	Fri Sep  5 22:35:20 2003
@@ -696,19 +696,21 @@
 	addi	r4,r4,-4
 	li	r5,4
 
-#ifndef CONFIG_8xx
-#if MAX_L1_COPY_PREFETCH > 1
-	li	r0,MAX_L1_COPY_PREFETCH
+#ifndef CONFIG_NOT_COHERENT_CACHE
+#if MAX_COPY_PREFETCH > 1
+	li	r0,MAX_COPY_PREFETCH
 	li	r11,4
 	mtctr	r0
 11:	dcbt	r11,r4
 	addi	r11,r11,L1_CACHE_LINE_SIZE
 	bdnz	11b
-#else /* MAX_L1_COPY_PREFETCH == 1 */
+#else /* MAX_COPY_PREFETCH == 1 */
 	dcbt	r5,r4
 	li	r11,L1_CACHE_LINE_SIZE+4
-#endif /* MAX_L1_COPY_PREFETCH */
-#endif /* CONFIG_8xx */
+#endif /* MAX_COPY_PREFETCH */
+#else /* defined(CONFIG_NOT_COHERENT_CACHE) */
+	li	r11,4
+#endif /* CONFIG_NOT_COHERENT_CACHE */
 
 	li	r0,4096/L1_CACHE_LINE_SIZE
 	mtctr	r0
===== arch/ppc/lib/string.S 1.9 vs edited =====
--- 1.9/arch/ppc/lib/string.S	Tue Aug 12 16:51:12 2003
+++ edited/arch/ppc/lib/string.S	Fri Sep  5 22:36:52 2003
@@ -448,7 +448,7 @@
 	li	r11,4
 	beq	63f
 
-#if !defined(CONFIG_8xx)
+#if !defined(CONFIG_NOT_COHERENT_CACHE)
 	/* Here we decide how far ahead to prefetch the source */
 #if MAX_COPY_PREFETCH > 1
 	/* Heuristically, for large transfers we prefetch
@@ -467,7 +467,9 @@
 	li	r3,CACHELINE_BYTES + 4
 	dcbt	r11,r4
 #endif /* MAX_COPY_PREFETCH */
-#endif /* CONFIG_8xx */
+#else /* defined(CONFIG_NOT_COHERENT_CACHE) */
+	li	r3,4
+#endif /* CONFIG_NOT_COHERENT_CACHE */
 
 	mtctr	r0
 53:
